ant-ivy-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Filipe Sousa <nat...@gmail.com>
Subject Cannot pull some transitive dependencies
Date Sat, 29 Jun 2013 17:26:40 GMT
Hi,

I have been using ivy for a while with great success but now I'm having
problems getting some dependencies. With ivy

<dependencies>
<dependency org="com.sun.jersey.contribs" name="jersey-guice" rev="1.17.1"/>
</dependencies>

I'm getting these artifacts:

aopalliance-1.0.jar
asm-3.1.jar
cglib-2.2.1-v20090111.jar
guice-3.0.jar
guice-servlet-3.0.jar
javax.inject-1.jar
jersey-guice-1.17.1.jar

While with maven
<dependencies>
   <dependency>
      <groupId>com.sun.jersey.contribs</groupId>
      <artifactId>jersey-guice</artifactId>
      <version>1.17.1</version>
   </dependency>
</dependencies>

I'm getting
[INFO] \- com.sun.jersey.contribs:jersey-guice:jar:1.17.1:compile
[INFO]    +- javax.inject:javax.inject:jar:1:compile
[INFO]    +- com.google.inject:guice:jar:3.0:compile
[INFO]    |  \- aopalliance:aopalliance:jar:1.0:compile
[INFO]    +- com.google.inject.extensions:guice-servlet:jar:3.0:compile
[INFO]    \- com.sun.jersey:jersey-servlet:jar:1.17.1:compile
[INFO]       \- com.sun.jersey:jersey-server:jar:1.17.1:compile
[INFO]          +- asm:asm:jar:3.1:compile
[INFO]          \- com.sun.jersey:jersey-core:jar:1.17.1:compile

For some reason, ivy can't pull jersey-server and jersey-core transitives
dependencies.

Is this a bug?

Ivy-2.3.0

Thanks?

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message